Support » Plugin: Woo Mercado Pago Module Oficial » Website crash everytime I try to install MP plugin.

  • Resolved 4u6u570

    (@4u6u570)


    It seems there are some issues with the new woocommerce 3.0.3 cause evrytime I try to install the MP plugin for Woocommerce, my site crash and I have to delete the plugin via FTP. Is there any update coming?

    Thanks.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The detail is:

    Fatal error: Uncaught Error: Call to a member function get_cart() on null in x/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php:1367 Stack trace: #0 x/wp-content/plugins/woocommerce/includes/class-wc-payment-gateways.php(154): WC_WooMercadoPago_Gateway->is_available() #1 x/wp-content/plugins/learnpress-woo-payment/incs/class-lp-gateway-woo.php(136): WC_Payment_Gateways->get_available_payment_gateways() #2 x/wp-includes/class-wp-hook.php(298): LP_Gateway_Woo->is_available(false, Object(LP_Gateway_Woo)) #3 x/wp-includes/plugin.php(203): WP_Hook->apply_filters(false, Array) #4 x/wp-content/plugins/learnpress/inc/gateways/class-lp-gateways.php(63): apply_filters(‘learn_press_pay…’, false, Object(LP_Gateway_Woo)) in x/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php on line 1367

    I have the same problem here. I can’t install it:

    Fatal error: Uncaught exception ‘MercadoPagoException’ with message ‘Failed to connect to api.mercadopago.com port 443: Connection refused’ in /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago/sdk/lib/mercadopago.php:873 Stack trace: #0 /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago/sdk/lib/mercadopago.php(903): MPRestClient::exec(Array, ‘2.2.1’) #1 /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago-module.php(173): MPRestClient::get(Array, ‘2.2.1’) #2 /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php(224): WC_WooMercadoPago_Module::get_categories() #3 /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php(87): WC_WooMercadoPago_Gateway->init_form_fields() #4 /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woocommerce/includes/c in /srv/disk5/2342713/www/merciatelier.com.ar/wp-content/plugins/woo-mercado-pago-module/mercadopago/sdk/lib/mercadopago.php on line 873

    no he podido instalar este plugin, siempre me deja de funcionar el sitio, ocupo eliminarlo desde ftp y vuelve a funcionar el sitio, pero el plug in no me funciona…

    Same issue here. Any idea on how to fix it?

    Plugin Author Mercado Pago

    (@mercadopago)

    Guys, hi there,
    It seems different problems for each of you.

    @kendy73, I think your problem was fixed in this last update v2.2.3. Please check it. Any problems, notify us here;

    @merciatelier, in your case, it seems that your server is unable to connect with Mercado Pago server. It can be an issue from your network configuration or a Mercado Pago server instability. Does this problem still occurring to you?

    @4u6u570, @zodiac93 and @aromboli, can you give more details about your problem? Is there any message of error in your developer console? Is there any logs?

    Regards!

    Thanks @mercadopago- my error went away today when I installed the v2.2.3 release.

    When will automatic renewal subscriptions work with woocommerce?

    Hi! I’m having a similar problem. The error message I’m getting after crashing the whole site is:

    Parse error: syntax error, unexpected ‘[‘ in /home/content/18/13670418/html/clients/nuevacosmetica/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php on line 565

    I have to remove the plugin via FTP in order to make the site available again.

    I’m running wordpress v.4.7.4–es_ES and woocommerce v.3.0.5

    Please, could someone help me with this?

    Plugin Author Mercado Pago

    (@mercadopago)

    Hi @andriub,

    based in your error message, I’m pretty sure you’re using a PHP version 5.3 or less. In our github requirements, we state that the minimum version is PHP 5.6. Can you please check it?

    I’ll put a check to prevent this error. But I really recommend you to update your PHP if it is not the correct version.

    Regards!

    Plugin Author Mercado Pago

    (@mercadopago)

    @aromboli,

    Automatic renewal is in our backlog. I think this year we can consider to implement it, depending on the demands.

    Regards!

    Thanks for your answer. I’ll have to change my hosting since they don’t support newer version of PHP rather than 5.3.

    @mercadopago please help!
    I am having the same error. When my clients try to buy something this message appears:

    Fatal error: Call to a member function sandbox_mode() on null in /home2/wadm740accgi/public_html/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php on line 1282

    • This reply was modified 2 years, 2 months ago by juanchoremo.
Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Website crash everytime I try to install MP plugin.’ is closed to new replies.